Android নিরাপত্তা বুলেটিন—ডিসেম্বর 2019

2 ডিসেম্বর, 2019 প্রকাশিত | 14 জানুয়ারী, 2020 আপডেট করা হয়েছে

অ্যান্ড্রয়েড সিকিউরিটি বুলেটিনে অ্যান্ড্রয়েড ডিভাইসগুলিকে প্রভাবিত করে এমন নিরাপত্তা দুর্বলতার বিবরণ রয়েছে৷ 2019-12-05 বা তার পরে নিরাপত্তা প্যাচ স্তরগুলি এই সমস্ত সমস্যার সমাধান করে। একটি ডিভাইসের নিরাপত্তা প্যাচ স্তর কিভাবে পরীক্ষা করতে হয় তা জানতে, আপনার Android সংস্করণ চেক এবং আপডেট দেখুন

অ্যান্ড্রয়েড অংশীদারদের প্রকাশনার অন্তত এক মাস আগে সমস্ত সমস্যা সম্পর্কে অবহিত করা হয়। এই সমস্যাগুলির জন্য সোর্স কোড প্যাচগুলি অ্যান্ড্রয়েড ওপেন সোর্স প্রজেক্ট (AOSP) সংগ্রহস্থলে প্রকাশ করা হয়েছে এবং এই বুলেটিন থেকে লিঙ্ক করা হয়েছে৷ এই বুলেটিনে AOSP-এর বাইরের প্যাচগুলির লিঙ্কও রয়েছে৷

এই সমস্যাগুলির মধ্যে সবচেয়ে গুরুতর হল ফ্রেমওয়ার্ক উপাদানের একটি গুরুতর নিরাপত্তা দুর্বলতা যা একটি বিশেষভাবে তৈরি করা বার্তা ব্যবহার করে একটি দূরবর্তী আক্রমণকারীকে পরিষেবার স্থায়ী অস্বীকৃতি ঘটাতে সক্ষম করতে পারে। প্ল্যাটফর্ম এবং পরিষেবা প্রশমনগুলি উন্নয়নের উদ্দেশ্যে বন্ধ করা হয়েছে বা সফলভাবে বাইপাস করা হয়েছে বলে ধরে নিয়ে দুর্বলতাকে কাজে লাগানোর প্রভাবের উপর ভিত্তি করে তীব্রতা মূল্যায়ন করা হয়।

Android সিকিউরিটি প্ল্যাটফর্ম সুরক্ষা এবং Google Play Protect সম্পর্কে বিশদ বিবরণের জন্য Android এবং Google Play Protect প্রশমন বিভাগটি পড়ুন, যা Android প্ল্যাটফর্মের নিরাপত্তা উন্নত করে।

দ্রষ্টব্য: সর্বশেষ ওভার-দ্য-এয়ার আপডেট (OTA) এবং Google ডিভাইসগুলির জন্য ফার্মওয়্যার চিত্রের তথ্য ডিসেম্বর 2019 পিক্সেল আপডেট বুলেটিনে উপলব্ধ।

অ্যান্ড্রয়েড এবং গুগল পরিষেবা প্রশমন

এটি Android নিরাপত্তা প্ল্যাটফর্ম এবং পরিষেবা সুরক্ষা যেমন Google Play Protect দ্বারা প্রদত্ত প্রশমনের একটি সারাংশ। এই ক্ষমতাগুলি Android-এ নিরাপত্তার দুর্বলতাগুলি সফলভাবে কাজে লাগানোর সম্ভাবনা কমিয়ে দেয়৷

  • অ্যান্ড্রয়েড প্ল্যাটফর্মের নতুন সংস্করণে বর্ধিতকরণের মাধ্যমে অ্যান্ড্রয়েডে অনেক সমস্যার জন্য শোষণকে আরও কঠিন করা হয়েছে। আমরা সকল ব্যবহারকারীকে যেখানে সম্ভব Android এর সর্বশেষ সংস্করণে আপডেট করতে উৎসাহিত করি।
  • Android নিরাপত্তা দল সক্রিয়ভাবে Google Play Protect- এর মাধ্যমে অপব্যবহারের জন্য নজরদারি করে এবং ব্যবহারকারীদের সম্ভাব্য ক্ষতিকারক অ্যাপ্লিকেশন সম্পর্কে সতর্ক করে। Google Play Protect ডিফল্টরূপে Google মোবাইল পরিষেবাগুলির সাথে ডিভাইসগুলিতে সক্রিয় থাকে এবং বিশেষত সেই ব্যবহারকারীদের জন্য গুরুত্বপূর্ণ যারা Google Play এর বাইরে থেকে অ্যাপগুলি ইনস্টল করেন৷

2019-12-01 নিরাপত্তা প্যাচ স্তরের দুর্বলতার বিবরণ

নীচের বিভাগগুলিতে, আমরা 2019-12-01 প্যাচ স্তরে প্রযোজ্য প্রতিটি নিরাপত্তা দুর্বলতার জন্য বিশদ প্রদান করি। দুর্বলতাগুলি যে উপাদানগুলিকে প্রভাবিত করে তার অধীনে গোষ্ঠীভুক্ত করা হয়। সমস্যাটির বর্ণনা এবং CVE, সংশ্লিষ্ট রেফারেন্স, দুর্বলতার ধরন , তীব্রতা এবং আপডেট করা AOSP সংস্করণ (যেখানে প্রযোজ্য) সহ একটি টেবিল রয়েছে। উপলভ্য হলে, আমরা পাবলিক পরিবর্তনকে লিঙ্ক করি যা সমস্যাটির সমাধান করেছে, যেমন AOSP পরিবর্তন তালিকা। যখন একাধিক পরিবর্তন একটি একক বাগের সাথে সম্পর্কিত হয়, তখন বাগ আইডি অনুসরণকারী সংখ্যার সাথে অতিরিক্ত উল্লেখ সংযুক্ত করা হয়। Android 10 এবং তার পরের ডিভাইসগুলি নিরাপত্তা আপডেটের পাশাপাশি Google Play সিস্টেম আপডেট পেতে পারে।

ফ্রেমওয়ার্ক

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি বিশেষভাবে তৈরি করা বার্তা ব্যবহার করে একটি দূরবর্তী আক্রমণকারীকে পরিষেবা থেকে স্থায়ীভাবে অস্বীকার করতে সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2019-2232 এ-140632678 DoS সমালোচনামূলক 8.0, 8.1, 9, 10
CVE-2019-9464 A-141028068 [ 2 ] [ 3 ] [ 4 ] ইওপি উচ্চ 10
CVE-2019-2217 এ-141003796 ইওপি উচ্চ 10
CVE-2019-2218 এ-141169173 ইওপি উচ্চ 8.0, 8.1, 9, 10
CVE-2019-2220 A-138636979 [ 2 ] আইডি উচ্চ 9, 10
CVE-2019-2221 A-138583650 [ 2 ] ইওপি পরিমিত 10

মিডিয়া ফ্রেমওয়ার্ক

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি বিশেষভাবে তৈরি করা ফাইল ব্যবহার করে একটি দূরবর্তী আক্রমণকারীকে একটি সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2019-2222 এ-140322595 আরসিই পরিমিত 10
আরসিই সমালোচনামূলক 8.0, 8.1, 9
CVE-2019-2223 এ-140692129 আরসিই পরিমিত 10
আরসিই সমালোচনামূলক 8.0, 8.1, 9

পদ্ধতি

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি বিশেষভাবে তৈরি করা ফাইল ব্যবহার করে দূরবর্তী আক্রমণকারীকে একটি সুবিধাহীন প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড চালানোর জন্য সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2019-15140 এ-140328986 আরসিই উচ্চ 8.0, 8.1, 9, 10
CVE-2019-2225 A-110433804 [ 2 ] ইওপি উচ্চ 8.0, 8.1, 9, 10
CVE-2019-2226 এ-140152619 আইডি উচ্চ 8.0, 8.1, 9, 10
CVE-2019-2227 এ-140768453 আইডি উচ্চ 9, 10
CVE-2019-2228 A-111210196 [ 2 ] আইডি উচ্চ 8.0, 8.1, 9, 10
CVE-2019-2229 A-139803872 [ 2 ] আইডি উচ্চ 8.0, 8.1, 9, 10
CVE-2019-2230 এ-141170038 আইডি উচ্চ 10

গুগল প্লে সিস্টেম আপডেট

এই নিরাপত্তা সমস্যা Google Play সিস্টেম আপডেট অন্তর্ভুক্ত করা হয়.

উপাদান সিভিই
মিডিয়া কোডেক CVE-2019-2222, CVE-2019-2223

2019-12-05 নিরাপত্তা প্যাচ স্তরের দুর্বলতার বিবরণ

নীচের বিভাগে, আমরা 2019-12-05 প্যাচ স্তরে প্রযোজ্য প্রতিটি নিরাপত্তা দুর্বলতার জন্য বিশদ প্রদান করি। দুর্বলতাগুলি যে উপাদানগুলিকে প্রভাবিত করে তার অধীনে গোষ্ঠীভুক্ত করা হয় এবং এতে CVE, সংশ্লিষ্ট রেফারেন্স, দুর্বলতার ধরন , তীব্রতা , উপাদান (যেখানে প্রযোজ্য) এবং আপডেট করা AOSP সংস্করণ (যেখানে প্রযোজ্য) এর মতো বিশদ অন্তর্ভুক্ত থাকে। উপলভ্য হলে, আমরা পাবলিক পরিবর্তনকে লিঙ্ক করি যা সমস্যাটির সমাধান করেছে, যেমন AOSP পরিবর্তন তালিকা। যখন একাধিক পরিবর্তন একটি একক বাগের সাথে সম্পর্কিত হয়, তখন বাগ আইডি অনুসরণকারী সংখ্যার সাথে অতিরিক্ত উল্লেখ সংযুক্ত করা হয়।

পদ্ধতি

এই বিভাগে দুর্বলতা একটি স্থানীয় আক্রমণকারীকে বিশেষ সুবিধাপ্রাপ্ত অ্যাক্সেস সহ সংবেদনশীল ডেটাতে অ্যাক্সেস পেতে সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা AOSP সংস্করণ আপডেট করা হয়েছে
CVE-2019-2231 এ-141955555 আইডি উচ্চ 9, 10

কার্নেল উপাদান

এই বিভাগে সবচেয়ে গুরুতর দুর্বলতা একটি স্থানীয় দূষিত অ্যাপ্লিকেশনকে একটি বিশেষ সুবিধাপ্রাপ্ত প্রক্রিয়ার প্রেক্ষাপটে নির্বিচারে কোড কার্যকর করতে সক্ষম করতে পারে।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2018-20961 এ-139522588
আপস্ট্রিম কার্নেল
ইওপি উচ্চ ইউএসবি MIDI ক্লাস ফাংশন ড্রাইভার
CVE-2019-15220 এ-140329469
আপস্ট্রিম কার্নেল
ইওপি উচ্চ Prism54 ওয়াইফাই ইউএসবি ড্রাইভার
CVE-2019-15239 এ-140328996
আপস্ট্রিম কার্নেল
ইওপি উচ্চ TCP স্ট্যাক

কোয়ালকম উপাদান

এই দুর্বলতাগুলি Qualcomm উপাদানগুলিকে প্রভাবিত করে এবং উপযুক্ত Qualcomm নিরাপত্তা বুলেটিনে বা নিরাপত্তা সতর্কতায় আরও বিস্তারিতভাবে বর্ণনা করা হয়েছে। এই সমস্যাগুলির তীব্রতা মূল্যায়ন সরাসরি Qualcomm দ্বারা প্রদান করা হয়।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2019-10557 A-78657016
QC-CR#2255369
QC-CR#2259707
N/A উচ্চ WLAN হোস্ট
CVE-2018-11980 এ-140423440
QC-CR#2270117
N/A উচ্চ WLAN হোস্ট
CVE-2019-10480 এ-140423811
QC-CR#2309399
N/A উচ্চ WLAN হোস্ট
CVE-2019-10481 এ-140423794
QC-CR#2304610
QC-CR#2318632
N/A উচ্চ WLAN হোস্ট
CVE-2019-10536 এ-140423334
QC-CR#2433802
N/A উচ্চ WLAN হোস্ট
CVE-2019-10537 এ-140423693
QC-CR#2436502
N/A উচ্চ WLAN হোস্ট
CVE-2019-10595 এ-140423810
QC-CR#2148184
N/A উচ্চ WLAN হোস্ট
CVE-2019-10598 এ-140423155
QC-CR#2324139
N/A উচ্চ WLAN হোস্ট
CVE-2019-10601 এ-140423156
QC-CR#2428798
N/A উচ্চ WLAN হোস্ট
CVE-2019-10605 এ-140424124
QC-CR#2187441
N/A উচ্চ WLAN হোস্ট
CVE-2019-10607 এ-140423690
QC-CR#2211711
N/A উচ্চ নিরাপত্তা
CVE-2019-2304 এ-123238115
QC-CR#2331868
QC-CR#2335530
QC-CR#2348299
QC-CR#2203904 *
N/A উচ্চ WLAN হোস্ট

কোয়ালকম ক্লোজড সোর্স উপাদান

এই দুর্বলতাগুলি Qualcomm ক্লোজড-সোর্স উপাদানগুলিকে প্রভাবিত করে এবং উপযুক্ত Qualcomm নিরাপত্তা বুলেটিনে বা নিরাপত্তা সতর্কতায় আরও বিস্তারিতভাবে বর্ণনা করা হয়েছে। এই সমস্যাগুলির তীব্রতা মূল্যায়ন সরাসরি Qualcomm দ্বারা প্রদান করা হয়।

সিভিই তথ্যসূত্র টাইপ নির্দয়তা উপাদান
CVE-2019-2242 A-123998200 * N/A সমালোচনামূলক ক্লোজড সোর্স কম্পোনেন্ট
CVE-2019-10500 A-134437248 * N/A সমালোচনামূলক ক্লোজড সোর্স কম্পোনেন্ট
CVE-2019-10525 A-134437319 * N/A সমালোচনামূলক ক্লোজড সোর্স কম্পোনেন্ট
CVE-2019-10482 A-132108950 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2019-10487 A-134437030 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2019-10516 A-134437075 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2019-2274 A-134437362 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2019-10513 A-134437225 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2019-10517 A-140424724 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট
CVE-2019-10600 A-140424089 * N/A উচ্চ ক্লোজড সোর্স কম্পোনেন্ট

সাধারণ প্রশ্ন এবং উত্তর

এই বিভাগটি সাধারণ প্রশ্নের উত্তর দেয় যা এই বুলেটিন পড়ার পরে হতে পারে।

1. এই সমস্যাগুলি সমাধান করার জন্য আমার ডিভাইস আপডেট করা হয়েছে কিনা তা আমি কীভাবে নির্ধারণ করব?

একটি ডিভাইসের নিরাপত্তা প্যাচ স্তর কিভাবে পরীক্ষা করতে হয় তা জানতে, আপনার Android সংস্করণ চেক এবং আপডেট দেখুন

  • 2019-12-01 বা তার পরের নিরাপত্তা প্যাচ স্তরগুলি 2019-12-01 নিরাপত্তা প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যার সমাধান করে।
  • 2019-12-05 বা তার পরের নিরাপত্তা প্যাচ স্তরগুলি 2019-12-05 নিরাপত্তা প্যাচ স্তর এবং পূর্ববর্তী সমস্ত প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যার সমাধান করে।

এই আপডেটগুলি অন্তর্ভুক্ত করে এমন ডিভাইস নির্মাতাদের প্যাচ স্ট্রিং স্তর সেট করা উচিত:

  • [ro.build.version.security_patch]:[2019-12-01]
  • [ro.build.version.security_patch]:[2019-12-05]

Android 10 বা তার পরের কিছু ডিভাইসের জন্য, Google Play সিস্টেম আপডেটে একটি তারিখের স্ট্রিং থাকবে যা 2019-12-01 নিরাপত্তা প্যাচ স্তরের সাথে মেলে। নিরাপত্তা আপডেট কিভাবে ইনস্টল করতে হয় সে সম্পর্কে আরো বিস্তারিত জানার জন্য অনুগ্রহ করে এই নিবন্ধটি দেখুন।

2. কেন এই বুলেটিন দুটি নিরাপত্তা প্যাচ স্তর আছে?

এই বুলেটিনে দুটি নিরাপত্তা প্যাচ স্তর রয়েছে যাতে Android অংশীদারদের দুর্বলতাগুলির একটি উপসেটকে আরও দ্রুত ঠিক করার নমনীয়তা থাকে যা সমস্ত Android ডিভাইসে একই রকম। Android অংশীদারদের এই বুলেটিনে সমস্ত সমস্যা সমাধান করতে এবং সর্বশেষ নিরাপত্তা প্যাচ স্তর ব্যবহার করতে উত্সাহিত করা হয়৷

  • যে ডিভাইসগুলি 2019-12-01 সুরক্ষা প্যাচ স্তর ব্যবহার করে সেগুলিতে অবশ্যই সেই সুরক্ষা প্যাচ স্তরের সাথে সম্পর্কিত সমস্ত সমস্যা অন্তর্ভুক্ত করতে হবে এবং সেইসাথে পূর্ববর্তী নিরাপত্তা বুলেটিনে রিপোর্ট করা সমস্ত সমস্যার সমাধান অন্তর্ভুক্ত করতে হবে।
  • যে ডিভাইসগুলি 2019-12-05 বা নতুনের নিরাপত্তা প্যাচ স্তর ব্যবহার করে সেগুলিকে অবশ্যই এই (এবং পূর্ববর্তী) নিরাপত্তা বুলেটিনে সমস্ত প্রযোজ্য প্যাচ অন্তর্ভুক্ত করতে হবে।

অংশীদারদের একটি একক আপডেটে তারা যে সমস্ত সমস্যার সমাধান করছে সেগুলিকে বান্ডিল করতে উত্সাহিত করা হয়৷

3. টাইপ কলামের এন্ট্রিগুলির অর্থ কী?

দুর্বলতার বিবরণ টেবিলের টাইপ কলামের এন্ট্রি নিরাপত্তা দুর্বলতার শ্রেণীবিভাগ উল্লেখ করে।

সংক্ষিপ্ত রূপ সংজ্ঞা
আরসিই রিমোট কোড এক্সিকিউশন
ইওপি বিশেষাধিকারের উচ্চতা
আইডি তথ্য প্রকাশ
DoS সেবা দিতে অস্বীকার করা
N/A শ্রেণীবিভাগ উপলব্ধ নয়

4. রেফারেন্স কলামের এন্ট্রিগুলির অর্থ কী?

দুর্বলতার বিবরণ সারণীর রেফারেন্স কলামের অধীনে এন্ট্রিতে একটি উপসর্গ থাকতে পারে যে সংস্থার রেফারেন্স মানটি চিহ্নিত করে।

উপসর্গ রেফারেন্স
ক- অ্যান্ড্রয়েড বাগ আইডি
QC- কোয়ালকম রেফারেন্স নম্বর
এম- মিডিয়াটেক রেফারেন্স নম্বর
এন- NVIDIA রেফারেন্স নম্বর
খ- ব্রডকম রেফারেন্স নম্বর

5. রেফারেন্স কলামে অ্যান্ড্রয়েড বাগ আইডির পাশে একটি * বলতে কী বোঝায়?

যে সমস্যাগুলি সর্বজনীনভাবে উপলব্ধ নয় সেগুলির রেফারেন্স কলামে Android বাগ আইডির পাশে একটি * থাকে৷ এই সমস্যার জন্য আপডেটটি সাধারণত Google ডেভেলপার সাইট থেকে উপলব্ধ Pixel ডিভাইসগুলির জন্য সাম্প্রতিক বাইনারি ড্রাইভারগুলিতে থাকে৷

6. কেন এই বুলেটিন এবং ডিভাইস/পার্টনার সিকিউরিটি বুলেটিন, যেমন পিক্সেল বুলেটিন এর মধ্যে নিরাপত্তা দুর্বলতা বিভক্ত?

এই নিরাপত্তা বুলেটিনে নথিভুক্ত নিরাপত্তা দুর্বলতাগুলিকে Android ডিভাইসে সর্বশেষ নিরাপত্তা প্যাচ স্তর ঘোষণা করতে হবে। নিরাপত্তা প্যাচ স্তর ঘোষণা করার জন্য ডিভাইস / অংশীদার নিরাপত্তা বুলেটিনগুলিতে নথিভুক্ত অতিরিক্ত নিরাপত্তা দুর্বলতাগুলির প্রয়োজন নেই৷ অ্যান্ড্রয়েড ডিভাইস এবং চিপসেট নির্মাতারাও তাদের পণ্যগুলির জন্য নির্দিষ্ট নিরাপত্তা দুর্বলতার বিবরণ প্রকাশ করতে পারে, যেমন Google , Huawei , LGE , Motorola , Nokia , বা Samsung

সংস্করণ

সংস্করণ তারিখ মন্তব্য
1.0 2 ডিসেম্বর, 2019 বুলেটিন প্রকাশিত হয়েছে
1.1 3 ডিসেম্বর, 2019 AOSP লিঙ্কগুলি অন্তর্ভুক্ত করার জন্য বুলেটিন সংশোধন করা হয়েছে
1.2 13 ডিসেম্বর, 2019 সংশোধিত CVE টেবিল
1.3 14 জানুয়ারী, 2020 ইস্যু A-140328986-এর CVE ID CVE-2019-15140-এ আপডেট করা হয়েছে